!======================================
!
! ASYMPTOTIC EVALUATION OF "N_MIN"
!
!======================================
PROGRAM ASYMPTOTIC_N
IMPLICIT NONE
INTEGER,PARAMETER:: RK = MY_RKIND
REAL(RK),PARAMETER:: PI = 4*ATAN(1.0_RK)
REAL(RK) MU, A_MAX, A_MIN  ! SHAPE PARAMETERS OF ATTENUATION.
REAL(RK) EPS2, L_MIN       ! SQUARE OF "EPS" AND THE LOWER BOUND OF "L".
REAL(RK) X
!--------------------------------------
   PRINT*, 'INPUT MU:'
   READ*, MU
   PRINT*, 'MU=', MU
   PRINT*, 'INPUT A_MAX, A_MIN (IN [dB]):'
   READ*, A_MAX, A_MIN
   PRINT*, 'A_MAX=', A_MAX, 'A_MIN=', A_MIN
   A_MAX = 10.0_RK**(A_MAX/10.0_RK)
   A_MIN = 10.0_RK**(A_MIN/10.0_RK)
   EPS2 = A_MAX-1
   L_MIN = SQRT((A_MIN-1)/(A_MAX-1))
   X = 1/(MU-1)
   !--
   PRINT*, 'BUTTER   ', LOG(L_MIN) * X
   PRINT*, 'CHEBYSHEV', LOG(2*L_MIN) * SQRT(X/2)
   PRINT*, 'ELLIPTIC ', (2/PI**2)*LOG(4*L_MIN) * LOG(8*X)
   !--
END PROGRAM ASYMPTOTIC_N
