# THIS IS GNUPLOT COMMAND FILE.
# PLOTS THE SINGULAR DISTRIBUTION 
# OF THE SET OF OUTPUT VECTORS FROM THE FILTER.
 
set title "Singular Value Distribution"

set term postscript eps enhanced color # COMMENT-OUT THIS LINE IF VIEW DIRECTLY.

input_file="sigma.data" # INPUT FILE.
set output "sigma.eps"  # OUTPUT FILE.

#set key outside
#set key left
set size 0.7, 0.8

set xlabel "RANK"
#set xrange [1:200]

set ylabel "LOG_10(SIGMA)"
set logscale y
set format y "%L"
set yrange [1e-20:1]

plot input_file index 0 using 1:2 title "SIGMA" with lp, \
     input_file index 1 using 1:2 title "THRESHOLD" with l

#pause 20
